From: Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>
Date: Mon, 30 Aug 2021 10:17:11 +0000
Subject: s5k3l6xx: Use all 3 regulators

---
 drivers/media/i2c/s5k3l6xx.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index 9b5304f..7cfda51 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -80,10 +80,9 @@ module_param(debug, int, 0644);
 
 
 static const char * const s5k3l6xx_supply_names[] = {
-	// FIXME: I have no idea, just copied this
 	"vddio", /* Digital I/O (1.8V or 2.8V) */
-	//"vdda", /* Analog (2.8V) */
-	//"vddd", /* Digital Core (1.2V) */
+	"vdda", /* Analog (2.8V) */
+	"vddd", /* Digital Core (1.05V expected) */
 };
 
 #define S5K3L6XX_NUM_SUPPLIES ARRAY_SIZE(s5k3l6xx_supply_names)
